org.apache.olingo.commons.api.edm.provider

## Class CsdlSingleton

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlBindingTarget
    - - org.apache.olingo.commons.api.edm.provider.CsdlSingleton

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlSingleton
      extends CsdlBindingTarget

  The type Csdl singleton.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlBindingTarget

      `mapping, name, navigationPropertyBindings, title, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlSingleton()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlSingleton` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlSingleton` | `setMapping(CsdlMapping mapping)` Sets the mapping object for this binding target.
    `CsdlSingleton` | `setName(String name)` Sets name.
    `CsdlSingleton` | `setNavigationPropertyBindings(List<CsdlNavigationPropertyBinding> navigationPropertyBindings)` Sets navigation property bindings.
    `CsdlSingleton` | `setTitle(String title)` A human readable title for this instance
    `CsdlSingleton` | `setType(FullQualifiedName type)` Sets type.
    `CsdlSingleton` | `setType(String type)` Sets type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlBindingTarget

      `getAnnotations, getMapping, getName, getNavigationPropertyBindings, getTitle, getType, getTypeFQN`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlSingleton

          public CsdlSingleton()

  - ### Method Detail

    - #### setName

          public CsdlSingleton setName(String name)

      Description copied from class: `CsdlBindingTarget`
      Sets name.
      Overrides:
        `setName` in class `CsdlBindingTarget`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setType

          public CsdlSingleton setType(String type)

      Description copied from class: `CsdlBindingTarget`
      Sets type.
      Overrides:
        `setType` in class `CsdlBindingTarget`
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### setType

          public CsdlSingleton setType(FullQualifiedName type)

      Description copied from class: `CsdlBindingTarget`
      Sets type.
      Overrides:
        `setType` in class `CsdlBindingTarget`
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### setNavigationPropertyBindings

          public CsdlSingleton setNavigationPropertyBindings(List<CsdlNavigationPropertyBinding> navigationPropertyBindings)

      Description copied from class: `CsdlBindingTarget`
      Sets navigation property bindings.
      Overrides:
        `setNavigationPropertyBindings` in class `CsdlBindingTarget`
      Parameters:
        `navigationPropertyBindings` - the navigation property bindings
      Returns:
        the navigation property bindings

    - #### setAnnotations

          public CsdlSingleton setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlBindingTarget`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlBindingTarget`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### setTitle

          public CsdlSingleton setTitle(String title)

      Description copied from class: `CsdlBindingTarget`
      A human readable title for this instance
      Overrides:
        `setTitle` in class `CsdlBindingTarget`
      Returns:
        this instance

    - #### setMapping

          public CsdlSingleton setMapping(CsdlMapping mapping)

      Description copied from class: `CsdlBindingTarget`
      Sets the mapping object for this binding target.
      Overrides:
        `setMapping` in class `CsdlBindingTarget`
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.